/*
 Theme Name:   BTecno Child Theme
 Description:  BTecno Child Theme
 Author:       BTecno Srl
 Template:     btecno-main
 Text Domain:  btecno
*/

/* 
All style editing is done via scss/_btecno_custom.scss
*/


@font-face {
	font-family: 'Lato Regular';
	src: url('/wp-content/themes/btecno-child-main/fonts/Lato-Regular.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Lato Bold';
	src: url('/wp-content/themes/btecno-child-main/fonts/Lato-Bold.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Lato Light';
	src: url('/wp-content/themes/btecno-child-main/fonts/Lato-Light.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Lato Thin';
	src: url('/wp-content/themes/btecno-child-main/fonts/Lato-Thin.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Lato Black';
	src: url('/wp-content/themes/btecno-child-main/fonts/Lato-Black.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}


:root {
	--coloreRosso: #a92316;
	--coloreGiallo: #dba600;
	--coloreGrigio: #333;
	--coloreTesti: var(--coloreGrigio);
	--fontRegular: 'Lato Regular';
	--fontGrassetto: 'Lato Bold';
	--fontThin: 'Lato Thin';
	--bs-body-color: var(--coloreTesti);
	--bs-body-bg: #e8edf4;
	--bs-font-sans-serif: var(--fontRegular);
	--padding-sezione: 50px 15px;
	--padding-left: 75px;
	--padding-right: 75px;
	--wc-form-border-radius: 25px;
	--wc-form-border-color: var(--coloreTesti);
}


/* UTILITY CSS */

.fontRegular {
	font-family: var(--fontRegular);
}
.fontGrassetto {
	font-family: var(--fontGrassetto);
}
.fontThin {
	font-family: var(--fontThin);
}
.pointer {
	cursor: pointer;
}
.container-fluid {
    padding-left: var(--padding-left);
    padding-right: var(--padding-right);
}
.paddingSezione {
	padding: var(--padding-sezione);
}
.sezionePagina {
	margin: 50px 0;
}
.coloreTesti {
	color: var(--coloreTesti) !important;
}
.coloreRosso {
	color: var(--coloreRosso) !important;
}
.coloreGiallo {
	color: var(--coloreGiallo) !important;
}
.bgRosso {
	background-color: var(--coloreRosso) !important;
}
.bgGiallo {
	background-color: var(--coloreGiallo) !important;
}
.bgGrigio {
	background-color: var(--coloreGrigio) !important;
}
.layerBackground {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: rgb(0 0 0 / 45%);
}
a {
    color: var(--coloreTesti);
    text-decoration: none;
}
a:hover {
    color: var(--coloreRosso);
}
.containerBackground {
    background-size: cover;
    background-position: center;
}
.btn-close:focus, .form-control:focus {
    box-shadow: none;
}
.woocommerce-info {
    border-top-color: var(--coloreTesti);
}
.woocommerce-info::before {
    color: var(--coloreTesti);
}
/* ------------- */

body {
	letter-spacing: 0.25px;
}

img.logo {
	width: 300px;
	transition: 0.2s;
}

nav#nav-main {
    background-color: transparent;
	transition: 0.2s;
}

nav#nav-main.sticky, .tax-product_brand nav#nav-main, .single-product nav#nav-main, .woocommerce-account nav#nav-main, .woocommerce-cart nav#nav-main, .woocommerce-checkout nav#nav-main, .privacy-policy nav#nav-main, .page-id-213 nav#nav-main, .page-id-14 nav#nav-main {
    background-color: rgb(51 51 51 / 90%);
	transition: 0.2s;
}

nav#nav-main.sticky img.logo, .tax-product_brand img.logo, .single-product img.logo, .woocommerce-account img.logo, .woocommerce-cart img.logo, .woocommerce-checkout img.logo, .privacy-policy img.logo, .page-id-213 img.logo, .page-id-14 img.logo {
	width: 180px;
	transition: 0.2s;
}

.tax-product_brand #content, .single-product #content, .woocommerce-account #content, .woocommerce-cart #content, .woocommerce-checkout #content, .privacy-policy #content, .page-id-213 #content, .page-id-14 #content {
	padding-top: 128px;
}

button.azioniMenu {
    background-color: var(--coloreRosso);
    border-radius: 100%;
    padding: 0;
    width: 40px;
    height: 40px;
	transition: 0.2s;
	color: #fff;
}
button.azioniMenu:hover {
	background-color: var(--coloreGiallo);
	transition: 0.2s;
}

.bottoneRaineri {
    border: 2px solid !important;
    padding: 5px 20px !important;
    border-radius: 25px !important;
	line-height: unset !important;
    width: 200px;
	transition: 0.2s !important;
	color: #fff !important;
	text-align: center;
}

.bottoneRaineri.rosso {
    background-color: var(--coloreRosso) !important;
	border-color: var(--coloreRosso) !important;;
}

.bottoneRaineri.rosso:hover {
    background-color: var(--coloreGiallo) !important;;
	border-color: var(--coloreGiallo) !important;;
	color: #fff;
}

.bottoneRaineri.bianco {
    background-color: transparent !important;;
	border: 2px solid #fff !important;;
}

.bottoneRaineri.bianco:hover {
    background-color: #fff !important;;
	color: var(--coloreRosso) !important;;
}

.nav-link {
    text-transform: uppercase;
    color: #fff;
	font-size: 15px;
}

.navbar-nav .show>.nav-link, .navbar-nav .nav-link.active {
	color: #fff;
	text-decoration: underline;
}

.nav-link:hover, .nav-link:focus {
	color: #fff;
	text-decoration: underline;
}

.navbar-expand-lg .navbar-nav .nav-link {
	padding-right: 20px;
	padding-left: 20px;
	padding-top: 5px;
    padding-bottom: 5px;
}

li.linkSpeciale .nav-link {
	background-color: var(--coloreRosso);
	border-radius: 25px;
}

li.linkSpeciale .nav-link:hover {
	background-color: var(--coloreGiallo);
	text-decoration: none;
}

li.linkSpeciale.carrello .nav-link {
	margin-left: 20px;
    padding: 5px 9px;
}

section.sezioneIntestazione {
    height: 450px;
    background-size: cover;
    background-position: center;
}

.home section.sezioneIntestazione {
	height: 650px;
}

.dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input {
	border-radius: 25px !important;
	border: 2px solid;
}

.dgwt-wcas-search-wrapp .dgwt-wcas-sf-wrapp .dgwt-wcas-search-submit, .dgwt-wcas-om-bar .dgwt-wcas-om-return {
    text-transform: capitalize;
    border-top-right-radius: 25px;
    border-bottom-right-radius: 25px;
}

.dgwt-wcas-search-wrapp .dgwt-wcas-sf-wrapp .dgwt-wcas-search-submit:hover, .dgwt-wcas-om-bar .dgwt-wcas-om-return:hover {
	background-color: var(--coloreGiallo);
	opacity: 1;
}

.dgwt-wcas-search-wrapp .dgwt-wcas-sf-wrapp .dgwt-wcas-search-submit:hover::before, .dgwt-wcas-search-wrapp .dgwt-wcas-sf-wrapp .dgwt-wcas-search-submit:focus::before {
    border-right-color: var(--coloreGiallo) !important;
}

div.swiper-prodotti-wrap {
	gap: 30px;
}

div.containerSwiperProdotti {
	border-radius: 20px;
    transform: translateY(150px);
    margin-top: -150px;
    margin-bottom: 180px;
}

.prodotti-prev,
.prodotti-next {
	position: static;
	color: var(--coloreRosso);
}

.sezioneProdottiEvidenza .price {
	display: none;
}

.sezioneProdottiEvidenza .bottoneRaineri {
	display: block;
    margin: auto;
	margin-top: 1em;
}

h2.woocommerce-loop-product__title {
    margin: 15px 0;
    font-size: 20px;
    text-transform: uppercase;
    /* font-family: 'Lato Light'; */
}

a.added_to_cart.wc-forward {
    width: 100%;
    display: block;
    margin-top: 5px;
}

.categoriaConsigliata {
	height: 600px;
	transition: 0.2s;
}

.categoriaConsigliata:hover {
	transform: scale(1.08);
	z-index: 5;
	transition: 0.2s;
}

.boxImmagineAzienda {
  	position: relative;
  	display: inline-block;
}

.boxImmagineAzienda img {
  	position: relative;
  	z-index: 2;
  	width: 100%;
	height: auto;
	left: 50px;
}

.boxImmagineAzienda::before {
  	content: "";
  	position: absolute;
  	top: -50px;
  	left: -50px;
  	width: 100%;
  	height: 100%;
  	background: var(--coloreRosso);
  	z-index: 1;
}

.sezionePuntiForza img {
	width: 120px;
}

.sezioneContattaci {
	margin-top: 100px;	
}

.sezioneContattaci .containerForm {
	transform: translateY(-75px);
}


.sezioneContattaci input.wpcf7-form-control, .sezioneContattaci textarea {
    width: 100%;
    border: none;
    border-bottom: 1px solid #fff;
    background-color: transparent;
	color: #fff;
}

input.wpcf7-form-control.wpcf7-submit {
    width: 150px;
    margin: auto;
    border: 1px solid #fff;
}

.wpcf7-spinner {
	display: block;
	margin: auto;
}

.sezioneContattaci input.wpcf7-form-control::placeholder, .sezioneContattaci textarea::placeholder {
	color: #fff;
}

h2.widget-title {
    font-size: 20px;
    margin-bottom: 25px;
	font-family: var(--fontGrassetto);
}

.page-template-page-brand .sezioneMarchi {
	display: none;
}

.sezioneElencoMarchi img {
	width: 60%;
	margin: auto;
}

.sezioneElencoMarchi .boxMarchio {
	transition: 0.2s;
}

.sezioneElencoMarchi .boxMarchio:hover {
	transform: scale(1.1);
	transition: 0.2s;
}

.tax-product_brand .sezioneMarchi {
	display: none;
}

.tax-product_cat .woocommerce-breadcrumb a, .tax-product_cat .woocommerce-breadcrumb {
	color: #fff;
}

.descrizioneMarchio {
	width: 75%;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) ul.products li.product .price {
    color: var(--coloreTesti);
}

.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
	text-align: center;
}

.dettaglioPaginaBrand img {
	width: 300px;
}

.woocommerce div.product div.images .flex-control-thumbs li {
	width: 20%;
}

div.quantity {
	width: 150px;
}

.woocommerce div.product form.cart .button {
	float: none;
}

.woocommerce div.product form.cart div.quantity {
    float: none;
    margin: 0 !important;
}

.woocommerce-account .addresses .title .edit {
	float: none;
	height: 38px;
    display: block;
    width: auto;
}

.woocommerce-MyAccount-navigation ul {
	list-style: none;
}

li.woocommerce-MyAccount-navigation-link a {
    background-color: #fff;
    padding: 8px 16px;
    margin-bottom: 5px;
	width: 100%;
    display: block;
}

li.woocommerce-MyAccount-navigation-link a:hover, li.woocommerce-MyAccount-navigation-link.is-active a {
	background-color: var(--coloreRosso);
	color: #fff;
}

td.product-quantity div.quantity {
	margin: 0 !important;
}

.woocommerce #content table.cart td.actions .input-text, .woocommerce table.cart td.actions .input-text, .woocommerce-page #content table.cart td.actions .input-text, .woocommerce-page table.cart td.actions .input-text {
	width: auto;
	border-radius: 25px;
	padding: 6px 15px;
}

.woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals {
    float: none;
    width: 100%;
}

#add_payment_method table.cart img, .woocommerce-cart table.cart img, .woocommerce-checkout table.cart img {
    width: 80px;
    margin-right: 15px;
}

.woocommerce form .form-row .input-text, .woocommerce form .form-row select {padding: 8.3px 16px;}


/* MEDIA QUERY */

@media(max-width: 1200px) {
	img.logo {width: 200px;}
}

@media(max-width: 992px) {
	li.linkSpeciale.carrello .nav-link {display: none;}
	.navbar-expand-lg .navbar-nav .nav-link {padding-right: 10px;padding-left: 10px;padding-top: 12px;padding-bottom: 12px;}
	.nav-link, .navbar-nav .show>.nav-link, .navbar-nav .nav-link.active {color: var(--coloreTesti)}
	li.linkSpeciale .nav-link {color: #fff;text-align: center;margin-top: 12px;}
	.offcanvas {background-image: url(https://rainerigroupsrl.com/wp-content/uploads/2026/04/various-candy-drops-scaled.jpg);background-size: cover;}
	.offcanvas-body {background: linear-gradient(0deg,rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.95) 50%, rgba(255, 255, 255, 1) 100%)}
	.nav-link {font-size: 18px;}
}

@media(max-width: 768px) {
	.woocommerce table.shop_table_responsive tr td::before, .woocommerce-page table.shop_table_responsive tr td::before {display: none;}
}

@media(max-width: 576px) {
	:root {
        --padding-left: 15px;
        --padding-right: 15px;
    }
	.bottoneRaineri {width: 185px;}
	.home section.sezioneIntestazione {height: 600px;}
	div.swiper-prodotti-wrap {gap: 15px;}
	.categoriaConsigliata {height: 400px;}
	.sezionePuntiForza img {width: 75px;}
	.boxImmagineAzienda::before {top: -25px;left: -15px;}
	.boxImmagineAzienda img {left: 5px;}
	img.logo, .footer_widget img {width: 175px;}
	.descrizioneMarchio {width: 100%;}
	.dettaglioPaginaBrand img {width: 175px;}
	.tax-product_brand section.sezioneIntestazione {height: 350px;padding-bottom: 0!important}
}
